"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const moment = require("moment");
const random_js_1 = require("random-js");
const random = new random_js_1.Random(random_js_1.MersenneTwister19937.autoSeed());
class Randomizer {
    static randomBit(length) {
        return Randomizer.randomInt(0, Math.pow(2, length));
    }
    static randomString(length) {
        return random.string(length);
    }
    static randomInt(min = -127, max = 128) {
        const tmpMin = Math.ceil(min);
        const tmpMax = Math.floor(max);
        return Math.floor(Math.random() * (tmpMax - tmpMin + 1)) + tmpMin;
    }
    static randomFloat(min = -127, max = 128) {
        const tmpMin = Math.ceil(min);
        const tmpMax = Math.floor(max);
        return Math.random() * (tmpMax - tmpMin + 1) + tmpMin;
    }
    static randomDate(start = new Date('01-01-1970'), end = new Date()) {
        return moment(new Date(start.getTime() + Math.random() * (end.getTime() - start.getTime()))).format('Y-MM-DD HH:mm:ss');
    }
}
exports.Randomizer = Randomizer;
