import { Column } from './schema.class';
import { DatabaseEngines } from '../database/database-engines';
import { Generators } from '../generation/generators/generators';
export declare class CustomSettings {
    beforeAll: string[];
    afterAll: string[];
    engine: DatabaseEngines;
    disableTriggers: boolean;
    ignoredTables: string[];
    tablesToFill: string[];
    maxLengthValue?: number;
    values: {
        [key: string]: any[];
    };
    options: {
        generators: Generators[];
        options: Partial<Column>;
    }[];
    seed?: number;
    maxRowsPerBatch: number;
}
export declare class CustomSchema {
    settings: CustomSettings;
    tables: CustomTable[];
    static fromJSON(json: any): Promise<CustomSchema>;
    toJSON(): Record<string, any>;
}
export declare class CustomTable {
    name: string;
    columns?: CustomColumn[];
    lines?: number;
    before?: string[];
    after?: string[];
    maxLines?: number;
    addLines?: number;
    disableTriggers?: boolean;
}
declare type CustomColumn = {
    name: string;
} & Partial<Column>;
export {};
